Bug 30115 - Uninitialized value warning in C4/Output.pm
Summary: Uninitialized value warning in C4/Output.pm
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Blou
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 25790
  Show dependency treegraph
 
Reported: 2022-02-15 21:17 UTC by Blou
Modified: 2022-05-17 11:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.13


Attachments
Bug 30115: Uninitialized value warning in C4/Output.pm (1.32 KB, patch)
2022-02-15 21:19 UTC, Blou
Details | Diff | Splinter Review
Bug 30115: Uninitialized value warning in C4/Output.pm (1.37 KB, patch)
2022-02-16 11:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30115: Uninitialized value warning in C4/Output.pm (1.45 KB, patch)
2022-02-18 10:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Blou 2022-02-15 21:17:16 UTC
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 180.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 197.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 211.

This is in pagination_bar sub.  A lot of pages call it.  For me it happened with any Authority search (authorities/authorities-home.pl) producing multiple results.

Simple fix is initializing the variable.
Comment 1 Blou 2022-02-15 21:19:08 UTC
Created attachment 130639 [details] [review]
Bug 30115: Uninitialized value warning in C4/Output.pm

Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 180.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 197.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 211.

This is in pagination_bar sub.  A lot of pages call it.  For me it happened with any Authority search (authorities/authorities-home.pl) producing multiple results.

Simple fix is initializing the variable.
Comment 2 Owen Leonard 2022-02-16 11:50:02 UTC
Created attachment 130661 [details] [review]
Bug 30115: Uninitialized value warning in C4/Output.pm

Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 180.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 197.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 211.

This is in pagination_bar sub.  A lot of pages call it.  For me it
happened with any Authority search (authorities/authorities-home.pl)
producing multiple results.

Simple fix is initializing the variable.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Jonathan Druart 2022-02-18 10:07:37 UTC
Created attachment 130817 [details] [review]
Bug 30115: Uninitialized value warning in C4/Output.pm

Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 180.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 197.
Use of uninitialized value $url_suffix in concatenation (.) or string at GIT/C4/Output.pm line 211.

This is in pagination_bar sub.  A lot of pages call it.  For me it
happened with any Authority search (authorities/authorities-home.pl)
producing multiple results.

Simple fix is initializing the variable.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Fridolin Somers 2022-02-22 01:15:11 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-02-25 13:27:05 UTC
Pushed to 21.11.x for 21.11.03
Comment 6 Andrew Fuerste-Henry 2022-03-07 21:02:25 UTC
Pushed to 21.05.x for 21.05.12
Comment 7 Victor Grousset/tuxayo 2022-03-18 02:39:32 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.